## GstValidateRunner

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstTracer
                    ╰──GstValidateRunner

GStreamer Validate Runner class.

Class that manages a Validate test run for some pipeline

### Members

`object` (GstTracer) –
No description available

### Class structure

#### GstValidateRunnerClass

GStreamer Validate Runner object class.

##### Fields

`parent_class` (GstTracerClass) –

parent

### GstValidate.RunnerClass

GStreamer Validate Runner object class.

##### Attributes

`parent_class` (Gst.TracerClass) –

parent

### GstValidate.RunnerClass

GStreamer Validate Runner object class.

##### Attributes

`parent_class` (Gst.TracerClass) –

parent

## GstValidate.Runner

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Tracer
                    ╰──GstValidate.Runner

GStreamer Validate Runner class.

Class that manages a Validate test run for some pipeline

### Members

`object` (Gst.Tracer) –
No description available

## GstValidate.Runner

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Tracer
                    ╰──GstValidate.Runner

GStreamer Validate Runner class.

Class that manages a Validate test run for some pipeline

### Members

`object` (Gst.Tracer) –
No description available

### Constructors

#### gst_validate_runner_new

    GstValidateRunner *
    gst_validate_runner_new ()

Returns –
No description available

#### GstValidate.Runner.prototype.new

    function GstValidate.Runner.prototype.new(): {
        // javascript wrapper for 'gst_validate_runner_new'
    }

Returns (GstValidate.Runner) –
No description available

#### GstValidate.Runner.new

    def GstValidate.Runner.new ():
        #python wrapper for 'gst_validate_runner_new'

Returns (GstValidate.Runner) –
No description available

### Methods

#### gst_validate_runner_add_report

    gst_validate_runner_add_report (GstValidateRunner * runner,
                                    GstValidateReport * report)

Parameters:

`runner` –
No description available
`report` –
No description available

#### GstValidate.Runner.prototype.add_report

    function GstValidate.Runner.prototype.add_report(report: GstValidate.Report): {
        // javascript wrapper for 'gst_validate_runner_add_report'
    }

Parameters:

`runner` (GstValidate.Runner) –
No description available
`report` (GstValidate.Report) –
No description available

#### GstValidate.Runner.add_report

    def GstValidate.Runner.add_report (self, report):
        #python wrapper for 'gst_validate_runner_add_report'

Parameters:

`runner` (GstValidate.Runner) –
No description available
`report` (GstValidate.Report) –
No description available

#### gst_validate_runner_exit

    int
    gst_validate_runner_exit (GstValidateRunner * runner,
                              gboolean print_result)

Parameters:

`runner` –
No description available
`print_result` –
No description available
Returns –
No description available

#### GstValidate.Runner.prototype.exit

    function GstValidate.Runner.prototype.exit(print_result: Number): {
        // javascript wrapper for 'gst_validate_runner_exit'
    }

Parameters:

`runner` (GstValidate.Runner) –
No description available
`print_result` (Number) –
No description available
Returns (Number) –
No description available

#### GstValidate.Runner.exit

    def GstValidate.Runner.exit (self, print_result):
        #python wrapper for 'gst_validate_runner_exit'

Parameters:

`runner` (GstValidate.Runner) –
No description available
`print_result` (bool) –
No description available
Returns (int) –
No description available

#### gst_validate_runner_get_default_reporting_level

    GstValidateReportingDetails
    gst_validate_runner_get_default_reporting_level (GstValidateRunner * runner)

Parameters:

`runner` –
No description available
Returns –
No description available

#### GstValidate.Runner.prototype.get_default_reporting_level

    function GstValidate.Runner.prototype.get_default_reporting_level(): {
        // javascript wrapper for 'gst_validate_runner_get_default_reporting_level'
    }

Parameters:

`runner` (GstValidate.Runner) –
No description available
Returns (GstValidate.ReportingDetails) –
No description available

#### GstValidate.Runner.get_default_reporting_level

    def GstValidate.Runner.get_default_reporting_level (self):
        #python wrapper for 'gst_validate_runner_get_default_reporting_level'

Parameters:

`runner` (GstValidate.Runner) –
No description available
Returns (GstValidate.ReportingDetails) –
No description available

#### gst_validate_runner_get_reporting_level_for_name

    GstValidateReportingDetails
    gst_validate_runner_get_reporting_level_for_name (GstValidateRunner * runner,
                                                      const gchar* name)

Parameters:

`runner` –
No description available
`name` –
No description available
Returns –
No description available

#### GstValidate.Runner.prototype.get_reporting_level_for_name

    function GstValidate.Runner.prototype.get_reporting_level_for_name(name: String): {
        // javascript wrapper for 'gst_validate_runner_get_reporting_level_for_name'
    }

Parameters:

`runner` (GstValidate.Runner) –
No description available
`name` (String) –
No description available
Returns (GstValidate.ReportingDetails) –
No description available

#### GstValidate.Runner.get_reporting_level_for_name

    def GstValidate.Runner.get_reporting_level_for_name (self, name):
        #python wrapper for 'gst_validate_runner_get_reporting_level_for_name'

Parameters:

`runner` (GstValidate.Runner) –
No description available
`name` (str) –
No description available
Returns (GstValidate.ReportingDetails) –
No description available

#### gst_validate_runner_get_reports

    GList *
    gst_validate_runner_get_reports (GstValidateRunner * runner)

Parameters:

`runner` –
No description available
Returns –
No description available

#### GstValidate.Runner.prototype.get_reports

    function GstValidate.Runner.prototype.get_reports(): {
        // javascript wrapper for 'gst_validate_runner_get_reports'
    }

Parameters:

`runner` (GstValidate.Runner) –
No description available
Returns ([ GstValidate.Report ]) –
No description available

#### GstValidate.Runner.get_reports

    def GstValidate.Runner.get_reports (self):
        #python wrapper for 'gst_validate_runner_get_reports'

Parameters:

`runner` (GstValidate.Runner) –
No description available
Returns ([ GstValidate.Report ]) –
No description available

#### gst_validate_runner_get_reports_count

    guint
    gst_validate_runner_get_reports_count (GstValidateRunner * runner)

Parameters:

`runner` –
No description available
Returns –
No description available

#### GstValidate.Runner.prototype.get_reports_count

    function GstValidate.Runner.prototype.get_reports_count(): {
        // javascript wrapper for 'gst_validate_runner_get_reports_count'
    }

Parameters:

`runner` (GstValidate.Runner) –
No description available
Returns (Number) –
No description available

#### GstValidate.Runner.get_reports_count

    def GstValidate.Runner.get_reports_count (self):
        #python wrapper for 'gst_validate_runner_get_reports_count'

Parameters:

`runner` (GstValidate.Runner) –
No description available
Returns (int) –
No description available

#### gst_validate_runner_printf

    int
    gst_validate_runner_printf (GstValidateRunner * runner)

Parameters:

`runner` –
No description available
Returns –
No description available

#### GstValidate.Runner.prototype.printf

    function GstValidate.Runner.prototype.printf(): {
        // javascript wrapper for 'gst_validate_runner_printf'
    }

Parameters:

`runner` (GstValidate.Runner) –
No description available
Returns (Number) –
No description available

#### GstValidate.Runner.printf

    def GstValidate.Runner.printf (self):
        #python wrapper for 'gst_validate_runner_printf'

Parameters:

`runner` (GstValidate.Runner) –
No description available
Returns (int) –
No description available

### Signals

#### report-added

    report_added_callback (GstValidateRunner * self,
                           GstValidateReport * object,
                           gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last

#### report-added

    function report_added_callback(self: GstValidate.Runner, object: GstValidate.Report, user_data: Object): {
        // javascript callback for the 'report-added' signal
    }

Parameters:

`self` (GstValidate.Runner) –
No description available
`object` (GstValidate.Report) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### report-added

    def report_added_callback (self, object, *user_data):
        #python callback for the 'report-added' signal

Parameters:

`self` (GstValidate.Runner) –
No description available
`object` (GstValidate.Report) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

#### stopping

    stopping_callback (GstValidateRunner * self,
                       gpointer user_data)

Parameters:

`self` –
No description available
`user_data` –
No description available

Flags: Run Last

#### stopping

    function stopping_callback(self: GstValidate.Runner, user_data: Object): {
        // javascript callback for the 'stopping' signal
    }

Parameters:

`self` (GstValidate.Runner) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### stopping

    def stopping_callback (self, *user_data):
        #python callback for the 'stopping' signal

Parameters:

`self` (GstValidate.Runner) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

### Properties

#### params

    “params” gchar*

Flags : Read / Write / Construct

#### params

    “params” String

Flags : Read / Write / Construct

#### params

    “self.props.params” str

Flags : Read / Write / Construct

## Function Macros

### GST_IS_VALIDATE_RUNNER

    #define GST_IS_VALIDATE_RUNNER(obj)		        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GST_TYPE_VALIDATE_RUNNER))

### GST_IS_VALIDATE_RUNNER_CLASS

    #define GST_IS_VALIDATE_RUNNER_CLASS(klass)	        (G_TYPE_CHECK_CLASS_TYPE ((klass), GST_TYPE_VALIDATE_RUNNER))

### GST_VALIDATE_RUNNER_CAST

    #define GST_VALIDATE_RUNNER_CAST(obj)                 ((GstValidateRunner*)(obj))

### GST_VALIDATE_RUNNER_CLASS_CAST

    #define GST_VALIDATE_RUNNER_CLASS_CAST(klass)         ((GstValidateRunnerClass*)(klass))

## Constants

### GST_TYPE_VALIDATE_RUNNER

    #define GST_TYPE_VALIDATE_RUNNER			(gst_validate_runner_get_type ())

The results of the search are